unit Formular;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Gauges, Spin, Auta_f;


type

  TForm1 = class(TForm)
    SpinKilometr: TSpinEdit;
    SpinLitru: TSpinEdit;
    UkazatelLitru: TGauge;
    Label1: TLabel;
    Label2: TLabel;
    JizdniTlac: TButton;
    CerpaciTlac: TButton;
    PrepCervAuta: TRadioButton;
    PrepZelAuta: TRadioButton;
    JmenoAuta: TLabel;
    Label3: TLabel;
    PocitadloKilometru: TLabel;
    Button1: TButton;
    procedure JizdniTlacClick(Sender: TObject);
    procedure CerpaciTlacClick(Sender: TObject);
    procedure PrepZelAutaClick(Sender: TObject);
    procedure PrepCervAutaClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;


var
  Form1: TForm1;


implementation

{$R *.DFM}

var
  Auto, auto1,Auto2: Tauto;




procedure TForm1.JizdniTlacClick(Sender: TObject);
begin
  Auto.Ujed(SpinKilometr.Value);{zavol se metoda ujed t
                                     instance tdy, kter je
                                     piazena do promnn Auto}
  Auto.ObnovHodnoty; //obnoven komponent
end;

procedure TForm1.CerpaciTlacClick(Sender: TObject);
begin
  Auto.Natankuj(SpinLitru.Value); {zavol se metoda Natankuj t
                                     instance tdy, kter je
                                     piazena do promnn Auto}
  Auto.ObnovHodnoty; //obnoven komponent;

end;


procedure TForm1.PrepZelAutaClick(Sender: TObject); //tato metoda probehne
                                                    //pri vybrani zeleneho auta
begin
  Auto:=Auto2; //piazen reference na druhou instanci tridy.
  Auto.ObnovHodnoty; //vykreslen hodnot druhho auta na formul
end; //TForm1.PrepZelAutaClick


procedure TForm1.PrepCervAutaClick(Sender: TObject); //tato metoda probehne pri
                                                    // vybrani cerveneho auta
begin
  Auto:=Auto1; //presmerovani ukazatele na prvni instanci tridy.
  Auto.ObnovHodnoty; //nastaveni komponent aby ukazovaly spravne auto;

end; //TForm1.PrepCervAutaClick

procedure TForm1.FormCreate(Sender: TObject);
begin
 //tento kd se automaticky provede na zatku programu.
  Auto1:=TAuto.Init('Mercedes',25,10, clRed); // vytvoi se dv instance jedn tidy
  Auto2:=TAuto.Init('koda Fabia',25,7, clGreen);
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  Auto1.free;  //na konci programu je nutn zruit vechny instance tdy.
  Auto2.free;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  Auto1.Znacka:='Trabant';
  Auto2.Litru:=0;
  Auto.ObnovHodnoty;
end;

end.
