unit cykly_f;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Spin;

type
  THlavniFormular = class(TForm)
    forTlac: TButton;
    WhileTlac: TButton;
    RepeatTlac: TButton;
    SpinEdit: TSpinEdit;
    Label1: TLabel;
    Prepinac1: TRadioButton;
    Prepinac2: TRadioButton;
    procedure forTlacClick(Sender: TObject);
    procedure WhileTlacClick(Sender: TObject);
    procedure RepeatTlacClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  HlavniFormular: THlavniFormular;

implementation

{$R *.DFM}

//nasledujici kod se provede po stisku tlacitka for
procedure THlavniFormular.forTlacClick(Sender: TObject);
var i: byte;
begin
  for i:=1 to SpinEdit.Value do  { horni hranice je dana hodnotou
                                   zadanou pomoci spinedit}
     Messagedlg(IntToStr(i)+'. okno',mtInformation,[mbOK],0);
     {v kazde iteraci se zobrazi informacni okno s poradovym cislem}
end;



//nasledujici kod se provede po stisku tlacitka while
procedure THlavniFormular.WhileTlacClick(Sender: TObject);

var pokracovat: boolean; {tato promena rozhodne o tom, jestli
                       ma cyklus pokracovat dalsi iteraci nebo skoncit}
    pocetOken: byte;            {pocet jiz otevrenych oken}


begin
  if prepinac1.checked then pokracovat:=true {pokud je zaskrtly prvni prepinac
                                        nastavi se podminka pro dalsi iteraci}
   else pokracovat:=false; {v opacnem pripade se nastavi pro ukonceni cyklu}

  PocetOken:=1; //chystame se otevrit prvni okno

  // ted nasleduje vlastni cyklus

  while pokracovat=true do //cyklus bude probihat dokud pokracovat nebude false
    begin
      if Messagedlg('toto je '+IntToStr(pocetOken)+'. okno.'+#13+
         'M se otevt dal?',mtConfirmation,[mbYes, mbNo],0)=mrYes then
       {tento strasidelny prikaz nedela nic jineho nez ze otevre okno s textem a
       zjisti ktere tlacitko bylo stisknuto a v pripade ze}
         pokracovat:=true {Yes tak nastavi podminku na true}
       else pokracovat:=false; {pokud bylo stisknuto No nastavi
                                podminku na false;}
       pocetOken:=pocetOken+1;   //pocitadlo oken se zvetsi o jednicku
    end;

end;


{nasledujici kod se provede po stisku tlacitka repeat, je temer stejny
   jako u tlacitka while, pouze je zmenen typ cyklu}

   procedure THlavniFormular.RepeatTlacClick(Sender: TObject);

var pokracovat: boolean; {tato promena rozhodne o tom, jestli
                       ma cyklus pokracovat dalsi iteraci nebo skoncit}
    pocetOken: byte;            {pocet jiz otevrenych oken}


begin
  if prepinac1.checked then pokracovat:=true {pokud je zaskrtly prvni prepinac
                                        nastavi se podminka pro dalsi iteraci}
   else pokracovat:=false; {v opacnem pripade se nastavi pro ukonceni cyklu}

  PocetOken:=1; //chystame se otevrit prvni okno

  // ted nasleduje vlastni cyklus

  repeat
    if Messagedlg('toto je '+IntToStr(pocetOken)+'. okno.'+#13+
              'M se otevt dal?',mtConfirmation,[mbYes, mbNo],0)=mrYes then
      {tento strasidelny radek nedela nic jineho nez ze otevre okno s textem a
       zjisti ktere tlacitko bylo stisknuto a v pripade ze}
         pokracovat:=true {Yes tak nastavi podminku na true}
    else pokracovat:=false; {pokud bylo stisknuto No nastavi
                                podminku na false;}
       pocetOken:=pocetOken+1;   //pocitadlo oken se zvetsi o jednicku
  until pokracovat = false; {na rozdil od minuleho cyklu tento
                             ve chvili kdy bude mit promenna pokracovat
                             hodnotu false skonci}

end;


end.
