unit Editor2_f;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Spin, ComCtrls;

type
  TForm1 = class(TForm)
    ArialFontTl: TButton;
    TimNewRoTl: TButton;
    VelikostPisma: TSpinEdit;
    Zalamovani: TCheckBox;
    RichEdit1: TRichEdit;
    procedure VelikostPismaChange(Sender: TObject);
    procedure ArialFontTlClick(Sender: TObject);
    procedure TimNewRoTlClick(Sender: TObject);
    procedure ZalamovaniClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.VelikostPismaChange(Sender: TObject);
begin
  RichEdit1.SelAttributes.Size:=VelikostPisma.Value;
end;

procedure TForm1.ArialFontTlClick(Sender: TObject);
begin
  RichEdit1.SelAttributes.Name:='Arial CE';
end;

procedure TForm1.TimNewRoTlClick(Sender: TObject);
begin
  RichEdit1.SelAttributes.Name:='Times New Roman CE';
end;

procedure TForm1.ZalamovaniClick(Sender: TObject);
begin
  if Zalamovani.State = cbChecked then
    begin
      RichEdit1.WordWrap:=true;   //nastavit lmn dek
      RichEdit1.ScrollBars:=ssVertical; //zruit horizontln posuvnk
    end
  else
    begin
      RichEdit1.WordWrap:=false; //zruit lmn dek
      RichEdit1.ScrollBars:=ssBoth; //pidat horizontln posuvnk
    end;
end;

end.
