unit Form_f;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  THlavniFormular = class(TForm)
    TypOkraje: TRadioGroup;
    Ikony: TGroupBox;
    IkonaSys: TCheckBox;
    IkonaMin: TCheckBox;
    IkonaMax: TCheckBox;
    IkonaHelp: TCheckBox;
    okno: TButton;
    MOkno: TButton;
    VytvareciTl: TButton;
    UkazAbout: TButton;
    procedure TypOkrajeClick(Sender: TObject);
    procedure IkonaSysClick(Sender: TObject);
    procedure IkonaMinClick(Sender: TObject);
    procedure IkonaMaxClick(Sender: TObject);
    procedure IkonaHelpClick(Sender: TObject);
    procedure oknoClick(Sender: TObject);
    procedure MOknoClick(Sender: TObject);
    procedure VytvareciTlClick(Sender: TObject);
    procedure UkazAboutClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  HlavniFormular: THlavniFormular;

implementation

{$R *.DFM}

uses Formular1_f, Formular2_f, About_f;

procedure THlavniFormular.TypOkrajeClick(Sender: TObject);
begin
  Case TypOkraje.ItemIndex of
    0: BorderStyle:=bsSizeable;
    1: BorderStyle:=bsDialog;
    2: BorderStyle:=bsSingle;
    3: BorderStyle:=bsNone;
    4: BorderStyle:=bsToolWindow;
    5: BorderStyle:=bsSizeToolWin;
  end;
end;

procedure THlavniFormular.IkonaSysClick(Sender: TObject);
begin
  if IkonaSys.State = cbChecked then BorderIcons:=BorderIcons+[biSystemMenu]
  else BorderIcons:=BorderIcons-[biSystemMenu];//podle stavu polka se ikona bu pid nebo odstran  
end;

procedure THlavniFormular.IkonaMinClick(Sender: TObject);
begin
  if IkonaMin.state = cbChecked then BorderIcons:=BorderIcons+[biMinimize]
  else BorderIcons:=BorderIcons-[biMinimize];
end;

procedure THlavniFormular.IkonaMaxClick(Sender: TObject);
begin
  if IkonaMax.state = cbChecked then BorderIcons:=BorderIcons+[biMaximize]
  else BorderIcons:=BorderIcons-[biMaximize];
end;

procedure THlavniFormular.IkonaHelpClick(Sender: TObject);
begin
  if IkonaHelp.state = cbChecked then BorderIcons:=BorderIcons+[biHelp]
  else BorderIcons:=BorderIcons-[biHelp];

end;

procedure THlavniFormular.oknoClick(Sender: TObject);
begin
  NemodalniFormular.Show;
  ShowMessage('Okno bylo oteveno');
end;

procedure THlavniFormular.MOknoClick(Sender: TObject);
begin
  ModalniFormular.ShowModal;
  ShowMessage('Okno bylo oteveno');
end;

procedure THlavniFormular.VytvareciTlClick(Sender: TObject);
begin
  Application.CreateForm(TAbout,About);
  VytvareciTl.Enabled:=False;
end;

procedure THlavniFormular.UkazAboutClick(Sender: TObject);
begin
  About.ShowModal;
end;

end.

