unit malovani_f;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus;

type
  TFormular = class(TForm)
    PopupMenu1: TPopupMenu;
    Barva1: TMenuItem;
    Tloustka: TMenuItem;
    Smazatvse: TMenuItem;
    N21: TMenuItem;
    N31: TMenuItem;
    N41: TMenuItem;
    N51: TMenuItem;
    N61: TMenuItem;
    N71: TMenuItem;
    N81: TMenuItem;
    N91: TMenuItem;
    N101: TMenuItem;
    N11: TMenuItem;
    Cerna: TMenuItem;
    cervena: TMenuItem;
    Zelena: TMenuItem;
    Modra: TMenuItem;
    Zluta: TMenuItem;
    formulare: TMenuItem;
    procedure FormMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure FormMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure FormMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure CernaClick(Sender: TObject);
    procedure cervenaClick(Sender: TObject);
    procedure ZelenaClick(Sender: TObject);
    procedure ModraClick(Sender: TObject);
    procedure ZlutaClick(Sender: TObject);
    procedure N11Click(Sender: TObject);
    procedure N21Click(Sender: TObject);
    procedure N31Click(Sender: TObject);
    procedure N41Click(Sender: TObject);
    procedure N51Click(Sender: TObject);
    procedure N61Click(Sender: TObject);
    procedure N71Click(Sender: TObject);
    procedure N81Click(Sender: TObject);
    procedure N91Click(Sender: TObject);
    procedure N101Click(Sender: TObject);
    procedure formulareClick(Sender: TObject);
    procedure SmazatvseClick(Sender: TObject);
  private
    kresli:Boolean;   //m se kreslit?
    BarvaCary:TColor;  //jakou barvou?
    TloustkaCary:Integer; //jak silnou rou?
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Formular: TFormular;

implementation

{$R *.DFM}

procedure TFormular.FormMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  Kresli:=true; //zanme kreslit ru
  Formular.Canvas.MoveTo(x,y); //pesun kreslcho pera na ke kurzoru.
  Formular.Canvas.Pen.Color:=BarvaCary; //vbr barvy pera
  Formular.Canvas.Pen.Width:=TloustkaCary; //vbr tlouky pera

end;

procedure TFormular.FormMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
  if kresli then //pokud je stiskl tlatko
    formular.Canvas.LineTo(x,y); //nakreslit ru ke kurzoru
end;

procedure TFormular.FormMouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  Kresli:=false; //konec ry
end;

procedure TFormular.CernaClick(Sender: TObject);
begin
  BarvaCary:=clBlack;
  Cerna.Checked:=true;
end;

procedure TFormular.cervenaClick(Sender: TObject);
begin
  BarvaCary:=clRed;
  Cervena.Checked:=true;
end;

procedure TFormular.ZelenaClick(Sender: TObject);
begin
  BarvaCary:=clLime;
  Zelena.Checked:=true;
end;

procedure TFormular.ModraClick(Sender: TObject);
begin
  BarvaCary:=clNavy;
  Modra.Checked:=true;
end;

procedure TFormular.ZlutaClick(Sender: TObject);
begin
  BarvaCary:=clYellow;
  Zluta.Checked:=true;
end;

procedure TFormular.N11Click(Sender: TObject);
begin
  TloustkaCary:=1;
  N11.Checked:=true;
end;

procedure TFormular.N21Click(Sender: TObject);
begin
  TloustkaCary:=2;
  N21.Checked:=true;
end;

procedure TFormular.N31Click(Sender: TObject);
begin
  TloustkaCary:=3;
  N31.Checked:=true;
end;

procedure TFormular.N41Click(Sender: TObject);
begin
  TloustkaCary:=4;
  N41.Checked:=true;
end;

procedure TFormular.N51Click(Sender: TObject);
begin
  TloustkaCary:=5;
  N51.Checked:=true;
end;

procedure TFormular.N61Click(Sender: TObject);
begin
  TloustkaCary:=6;
  N61.Checked:=true;
end;

procedure TFormular.N71Click(Sender: TObject);
begin
  TloustkaCary:=7;
  N71.Checked:=true;
end;

procedure TFormular.N81Click(Sender: TObject);
begin
  TloustkaCary:=8;
  N81.Checked:=true;
end;

procedure TFormular.N91Click(Sender: TObject);
begin
  TloustkaCary:=9;
  N91.Checked:=true;
end;

procedure TFormular.N101Click(Sender: TObject);
begin
  TloustkaCary:=10;
  N101.Checked:=true;
end;

procedure TFormular.formulareClick(Sender: TObject);
begin
  BarvaCary:=Formular.color;
  formulare.Checked:=true;
end;

procedure TFormular.SmazatvseClick(Sender: TObject);
begin
  Formular.Canvas.Brush.Color:=Formular.Color;
  Formular.Canvas.Pen.Color:=Formular.Color;
  formular.Canvas.Rectangle(0,0,Width,Height);
  Formular.Canvas.Pen.Color:=BarvaCary;
end;

end.
