unit koder_f;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Gauges;

type
  TForm1 = class(TForm)
    ZdrojEdit: TEdit;
    Prochazet1: TButton;
    CilEdit: TEdit;
    Prochazet2: TButton;
    sifrovatTl: TButton;
    DesifTl: TButton;
    Label1: TLabel;
    Label2: TLabel;
    OpenDialog1: TOpenDialog;
    KonecTl: TButton;
    OtocTl: TButton;
    Meridlo: TGauge;
    SaveDialog1: TSaveDialog;
    procedure Prochazet1Click(Sender: TObject);
    procedure KonecTlClick(Sender: TObject);
    procedure sifrovatTlClick(Sender: TObject);
    procedure OtocTlClick(Sender: TObject);
    procedure DesifTlClick(Sender: TObject);
    procedure Prochazet2Click(Sender: TObject);
  private
    fzd: TextFile;
    fci: TextFile;
    { Private declarations }
    procedure kodovani(Kodovat:Boolean);
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Prochazet1Click(Sender: TObject);
begin
  if OpenDialog1.Execute then //vbr vstupnho souboru
    ZdrojEdit.Text:=OpenDialog1.FileName
end;

procedure TForm1.KonecTlClick(Sender: TObject);
begin
  Close;
end;


procedure TForm1.sifrovatTlClick(Sender: TObject);
begin
  Kodovani(True);
end;

procedure TForm1.OtocTlClick(Sender: TObject);
var s:string;
begin
  s:=ZdrojEdit.Text;
  ZdrojEdit.Text:=CilEdit.Text;
  CilEdit.Text:=s;
end;

procedure TForm1.DesifTlClick(Sender: TObject);
begin
  Kodovani(false);
end;


Procedure TForm1.kodovani(kodovat:Boolean);
var i:integer;
    s,sifra:string;
    f: file of byte;
    delkasouboru:LongInt;
    pozice:LongInt;

begin
  //vstupn soubor se oteve jako file of byte a zjist se jeho velikost.
  AssignFile(f,ZdrojEdit.Text);
  try
    reset(f);
    delkaSouboru:=FileSize(f);
  except
     exit;
  end;
  closeFile(f);

//oteven vstupnho a vstupnho souboru
  AssignFile(fzd,ZdrojEdit.Text);
  AssignFile(fci,CilEdit.Text);

  Try
    Reset(fzd);
  Except
    ShowMessage('Zdrojov soubor nelze otevt!');
    exit;
  end;

  Try
     Rewrite(fci);
  except
     ShowMessage('Clov soubor nelze vytvoit!');
     CloseFile(fzd);
     exit;
  end;

  pozice:=0;
  While Not Eof(fzd) do   //opakovat dokud nediojdeme na konec souboru
    begin
      Sifra:=''; //vyprazdnit ifrovan etzec
      Readln(fzd,s); //naten etzce ze vstupnho souboru
      Application.ProcessMessages; //obslouen ostatnch zprv windows.
      For i:=1 to Length(s) do //uprava jednotlivch znak v etzci
        begin      //podle parametru se provede zakdovan nebo dekdovn znaku
          if kodovat then sifra:=sifra+chr(ord(s[i])+i)
          else sifra:=sifra+chr(ord(s[i])-i);
          inc(pozice); //zvten pozice ukazatele stavu
        end;
      pozice:=pozice+2;  // pipotn znaku konce dky
      meridlo.progress:=pozice*100 div delkasouboru; //uren stavu
      Writeln(fci,Sifra); //zpis do cstupnho souboru
    end;

  Try //zaven soubor
    closefile(fzd);
    closefile(fci);
  except
    ShowMessage('Chyba pi zavrn soubor');
  end;
  if kodovat then ShowMessage('ifrovn ukoneno') //zvren hlen
  else ShowMessage('Dekdovn ukoneno');
end;



procedure TForm1.Prochazet2Click(Sender: TObject);
begin
    if SaveDialog1.Execute then //vbr vstupnho souboru
       CilEdit.Text:=SaveDialog1.FileName;
end;

end.
