unit linky_f;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls,Printers, ExtCtrls, Spin;

type
  Tformular = class(TForm)
    Tisk: TButton;
    ukazka: TPaintBox;
    SpinEdit1: TSpinEdit;
    Label1: TLabel;
    nastaveni: TButton;
    PrinterSetupDialog1: TPrinterSetupDialog;
    PrintDialog1: TPrintDialog;
    procedure FormPaint(Sender: TObject);
    procedure TiskClick(Sender: TObject);
    procedure nastaveniClick(Sender: TObject);
    procedure SpinEdit1Change(Sender: TObject);
  private
    Procedure Linkuj(Canvas:TCanvas;Sirka:integer;Vyska:integer;Roztec:integer);
    { Private declarations }
  public
    { Public declarations }
  end;

var
  formular: Tformular;

implementation

{$R *.DFM}

procedure Tformular.Linkuj(Canvas:TCanvas;Sirka:integer;
                          Vyska:integer;Roztec:integer);
var y:integer;
begin
  y:=Roztec;    //odsazen od okraje pltna
  while y<=vyska do //opakovat a ke spodnmu okraji pltna
    begin
      Canvas.MoveTo(1,y); //posunout kurzor na zatek dku
      Canvas.LineTo(Sirka-1,y); //nakreslit linku pes cel dek
      y:=Y+Roztec; //posunout se na dal rek
    end;
end;

procedure Tformular.FormPaint(Sender: TObject);
begin
  Linkuj(ukazka.Canvas,Ukazka.width,Ukazka.Height,SpinEdit1.Value);
end;

procedure Tformular.TiskClick(Sender: TObject);
begin
  If PrintDialog1.Execute then //pokud je potvrzen tisk
  begin
    Printer.BeginDoc; //zahjit tiskovou lohu
    Linkuj(Printer.Canvas,Printer.PageWidth, //na pltno tiskrny umstit linky
           Printer.PageHeight,SpinEdit1.Value);
    Printer.EndDoc; //odeslat vstup na tiskrnu
  end;
end;

procedure Tformular.nastaveniClick(Sender: TObject);
begin
  PrinterSetupDialog1.Execute; //zobrazen dialogovho okna
end;


procedure Tformular.SpinEdit1Change(Sender: TObject);
begin
  invalidate; //pekreslen formule pro obnoven ukzky
end;

end.
