unit vkladani_f;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, StdCtrls, ExtCtrls, Clipbrd, ExtDlgs;

type
  TFormular = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Image1: TImage;
    Memo1: TMemo;
    MainMenu1: TMainMenu;
    Soubor1: TMenuItem;
    Ulozit: TMenuItem;
    N1: TMenuItem;
    Konec1: TMenuItem;
    upravy1: TMenuItem;
    Vlozit1: TMenuItem;
    Npovda1: TMenuItem;
    OProgramu1: TMenuItem;
    SaveDialog1: TSaveDialog;
    SavePictureDialog1: TSavePictureDialog;
    Uloitobrzek1: TMenuItem;
    Kopirovat1: TMenuItem;
    Kopirovat2: TMenuItem;
    procedure OProgramu1Click(Sender: TObject);
    procedure upravy1Click(Sender: TObject);
    procedure Vlozit1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure UlozitClick(Sender: TObject);
    procedure Uloitobrzek1Click(Sender: TObject);
    procedure Konec1Click(Sender: TObject);
    procedure Kopirovat1Click(Sender: TObject);
    procedure Kopirovat2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Formular: TFormular;

implementation

{$R *.DFM}

procedure TFormular.upravy1Click(Sender: TObject);
begin
  //pokud nejsou data ve schnce ve formtu text
  //nebo kompatabiln s typem TPicture potom zakzat poloku Vloit.
  if Clipboard.HasFormat(CF_PICTURE) or ClipBoard.HasFormat(CF_TEXT) then
     Vlozit1.Enabled:=True
  else Vlozit1.Enabled:=false;
end;

procedure TFormular.Vlozit1Click(Sender: TObject);
begin
  if ClipBoard.HasFormat(CF_TEXT) then  //jsou-li data ve schrnce text
    Memo1.PasteFromClipboard;   //umstit je do komponenty Memo.
  if ClipBoard.HasFormat(CF_PICTURE) then //obrzek
    Image1.Picture.Graphic.Assign(Clipboard); //umstme do komponety Image
end;

procedure TFormular.FormCreate(Sender: TObject);
begin
  Image1.Picture.Graphic:=TBitmap.Create;
  //Image1.Stretch:=True;
end;

procedure TFormular.UlozitClick(Sender: TObject);
begin
  if SaveDialog1.Execute then
     Memo1.Lines.SaveToFile(SaveDialog1.FileName);
end;

procedure TFormular.Uloitobrzek1Click(Sender: TObject);
begin
  if SavePictureDialog1.Execute then
    Image1.Picture.SaveToFile(SavePictureDialog1.FileName);
end;

procedure TFormular.Konec1Click(Sender: TObject);
begin
  close;
end;

procedure TFormular.Kopirovat1Click(Sender: TObject);
begin
  Memo1.CopyToClipboard;   //vloit obsah Memo do schrnky
end;

procedure TFormular.Kopirovat2Click(Sender: TObject);
begin
  ClipBoard.Assign(Image1.Picture); //zkoprovat obrzek do schrnky 
end;

procedure TFormular.OProgramu1Click(Sender: TObject);
begin
  ShowMessage('Pklad na vkldn odlinch dat ze schrnky'+#13+
              'ke knize Zanme programovat v Delphi.' +#13+
              ' Slavoj Psek  2000');
end;

end.
