library pocitani;

{ Important note about DLL memory management: ShareMem must be the
  first unit in your library's USES clause AND your project's (select
  Project-View Source) USES clause if your DLL exports any procedures or
  functions that pass strings as parameters or function results. This
  applies to all strings passed to and from your DLL--even those that
  are nested in records and classes. ShareMem is the interface unit to
  the BORLNDMM.DLL shared memory manager, which must be deployed along
  with your DLL. To avoid using BORLNDMM.DLL, pass string information
  using PChar or ShortString parameters. }

uses
  windows,
  SysUtils,
  Classes;

{$R *.RES}

procedure Neregistrovano;
var titulek, text: Pchar;
begin
  Text:='Pli vysok hodnota! Zaregistrujte se prosm!!!';
  Titulek:='Neregistrovan verze pocitani.dll';
  MessageBox(0,text,titulek,MB_ICONINFORMATION);
end; //of Neregistrovano



function Faktorial(N: integer): cardinal;
var i:integer;
    Fakt:cardinal;
begin
  if N>5 then
    begin
      neregistrovano;
      result:=0;
      exit;
    end;

  Fakt:=1;
  for i:=N downto 1 do
     Fakt:=Fakt*cardinal(i);
  Result:=Fakt;
end; // of faktorial


function Mocnina(zakl: integer; expon: integer): integer;
var i:integer;
    moc:integer;
begin
  if zakl>5 then
    begin
      neregistrovano;
      result:=0;
      exit;
    end;

  moc:=1;
  for i:=expon downto 1 do
    moc:=moc*zakl;
  result:=moc;
end; //of mocnina

procedure Info;
var titulek, text: Pchar;
begin
  Text:='Tyto procedury jsou uloeny v souboru pocitani.dll';
  Titulek:='Pouvte neregistrovanou verzi programu...';
  MessageBox(0,text,titulek,MB_ICONINFORMATION);
end; //of Info

exports
  Faktorial, Mocnina, Info;


begin
end.
