unit BLabel;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls,extctrls;

type

  TBLabel = class(TLabel)
  private
    { Private declarations }
    fTimer:TTimer;
    procedure posunTextu(sender:TObject);
    function  GetActive: boolean;
    procedure SetActive(Start: boolean);
    function  GetSpeed:cardinal;
    procedure SetSpeed(Msec:Cardinal);
  protected
    { Protected declarations }
  public
    constructor Create(AOwner: TComponent); override;
    { Public declarations }
  published
    { Published declarations }
    Property Active : boolean
    read GetActive write SetActive;

    Property Speed : cardinal
    read GetSpeed write SetSpeed;

    property Timer: TTimer read fTimer;
  end;

procedure Register;

implementation


function TBLabel.GetActive:boolean;
begin
  result:=fTimer.Enabled;
end; //of TBLabel.GetActive

procedure TBLabel.SetActive(Start:Boolean);
begin
  fTimer.Enabled:=Start;
end; //of TBLabel.SetActive

procedure TBLabel.SetSpeed(Msec:Cardinal);
begin
  fTimer.interval:=MSec;
end; //of TBLabel.SetSpeed

function TBLabel.GetSpeed:Cardinal;
begin
  result:= fTimer.Interval;
end; //of TBLabel.getSpeed

constructor TBLabel.Create(AOwner:TComponent);
begin
  inherited create(AOwner); //pouit konstruktoru tdy TLabel
  fTimer:=TTImer.Create(self); //vytvoen asovae, jeho vlastnkem bude instance tdy TBLabel
  fTimer.Name := 'Casovac';  //nastaven jmna asovae
  fTimer.OnTimer:=PosunTextu; //Udlosti OnTimer piadit metodu PosunTextu
  fTimer.Interval:=500;  //zkladn nastaven intervalu asovae
  fTimer.Enabled:=True;  //sputn asovae
  fTimer.SetSubComponent(true);//zpstupnn asovae v Inspektoru objekt
end; //of TBLabel.Create

procedure TBLabel.posunTextu(Sender:TObject);
var s,pom:string;
begin
  pom:=caption;
  s:=copy(pom,1,1);
  delete(pom,1,1);
  pom:=pom+s;
  Caption:=pom;
end; //of TBLabel.posunTextu


procedure Register;
begin
  RegisterComponents('Zanme programovat v Delphi', [TBLabel]);
end;


end.


