unit Auta_f;

interface
uses Graphics;


 type
   TAuto = class
      litru: integer; //stav ndre
      kilometru: integer; //celkov poet kilomentr
      spotreba:integer;  //prmrn spoteba
      znacka: string;  //znaka vozu
      barva: TColor; //barva vozu
      constructor Init(znacka:string; litru:Integer; //vytvoen novho vozu
                       spotreba:Integer; barva: TColor);
      procedure Natankuj(kolik:integer); //tato metoda natankuje
      procedure ujed(vzdalenost:integer);// touto metodou vozidlo ujede
                                         //zadanou vzdlenost.
      procedure obnovHodnoty; //prekresleni komponent na formulari.
     end;

implementation

uses dialogs, sysUtils, formular;

const nadrz=50;  //velikost ndre u vech automobil

 {tato metoda vytvori instanci a nastavi pocatecni hodnoty objektu}
constructor TAuto.Init(znacka:string; litru:Integer;
                       spotreba:Integer; barva:TColor);
begin
  self.znacka:=znacka;
  self.litru:=litru;
  self.spotreba:=spotreba;
  self.barva:=barva;
  kilometru:=0;
end; // of constructor Init


procedure TAuto.Natankuj(kolik:integer);
begin
  if kolik>Nadrz-litru then MessageDlg('Tolik paliva se nevejde do ndre',
                                         mtError,[mbOK],0)
     else
       litru:=litru+kolik;
 // pokud je v nadrzi dost mista prida se pocet litru, jinak se vypise hlaseni.}
end; //of natankuj


procedure TAuto.Ujed(vzdalenost:integer);
var Spotrebuje:Integer; //kolik je na cestu potreba benzinu
begin
  spotrebuje:=Round((spotreba/100)*vzdalenost); {vypocita se kolik benzinu se spotrebuje
                                               na cestu}

 {pokud je malo benzinu vypise se hlaseni}
  if spotrebuje>Litru then MessageDlg('Nen mon tolik ujet. Je mlo paliva',
                                      mtError,[mbOK],0)
{Jinak se odecte benzin a pripocitaji kilometry}
   else
     begin
       litru:=litru-spotrebuje;
       kilometru:=kilometru+vzdalenost;
     end;
end; //of Tauto.ujed

procedure TAuto.ObnovHodnoty;
{pomocna procedura, ktera nastavi hodnoty komponent. tak
 aby ukazovali aktualni hodnoty}
begin
  form1.UkazatelLitru.ForeColor:= barva;//nastaveni barvy ukazatele litru
  form1.UkazatelLitru.Progress:=litru; //nastaveni ukazatele litru
  form1.PocitadloKilometru.Caption:=IntToStr(kilometru); //zobrazeni stavu kilometru
  form1.JmenoAuta.Caption:=Znacka; //Vypsn znaky auta

end; //ObnovHodnoty
end.
