unit TAuta;

interface

const nadrz=50;  //velikost ndre u vech automobil

 type
   TAuto = class
      litru: integer; //stav ndre
      Kilometru: integer; //celkov poet kilomentr
      spotreba:integer;  //prmrn spoteba
      Znacka: string;  //znacka vozu.
      constructor Init(Jmeno:string; natankovano:Integer; //vytvoen novho vozu
                       KolikZere:Integer);
      procedure Natankuj(kolik:integer); //tato metoda natankuje
      procedure ujed(vzdalenost:integer);// touto metodou vozidlo ujede
                                         //zadanou vzdlenost.
     end;

   Uk_Na_TAuto=^TAuto;

 var
   auto1,Auto2: Tauto;
   PAuto:Uk_NA_TAuto;

implementation

 {tato metoda vytvori instanci a nastavi pocatecni hodnoty objektu}
constructor TAuto.Init(Jmeno:string; natankovano:Integer;
                       KolikZere:Integer);
begin
  Znacka:=jmeno;
  Litru:=natankovano;
  spotreba:=KolikZere;
  Kilometru:=0;
end; // of constructor Init


procedure TAuto.Natankuj(kolik:integer);
begin
  if kolik>Nadrz-litru then MessageDlg('Tolik paliva se nevejde do ndre',
                                         mtError,[mbOK],0)
     else
       litru:=litru+kolik;
 // pokud je v nadrzi dost mista prida se pocet litru, jinak se vypise hlaseni.}
end; //of natankuj


procedure TAuto.Ujed(vzdalenost:integer);
var Spotrebuje:Integer; //kolik je na cestu potreba benzinu
begin
  spotrebuje:=Round((spotreba/100)*vzdalenost); {vypocita se kolik benzinu se spotrebuje
                                               na cestu}

  if spotrebuje>Litru then MessageDlg('Nen mon tolik ujet. Je mlo paliva',
                                      mtError,[mbOK],0)
   {pokud je malo benzinu vypise se hlaseni}
   else
     begin
       litru:=litru-spotrebuje;
       kilometru:=kilometru+vzdalenost;
     end;
{Jinak se odecte benzin a pripocitaji kilometry}
end; //of Tauto.ujed

end.
