unit hodiny;

interface
type THodiny = class
                 hodiny:byte;
                 minuty:byte;
                 sekundy:byte;
                 constructor Init(hh, mm, ss: byte);
                 procedure nastavHodiny(hh, mm, ss :byte);
                 procedure ukazCas;virtual;
               end;

type TBudik = class(THodiny)
                 zvoneni: boolean;
                 constructor Init(hh, mm, ss: byte; zvoneni:boolean);
                 procedure nastavZvoneni(zvoneni:boolean);
                 procedure ukazCas;override;
               end;

implementation

uses dialogs, sysutils;
{ THodiny }

procedure THodiny.nastavHodiny(hh, mm, ss: byte);
begin
  hodiny:= hh;
  minuty:= mm;
  sekundy:= ss;
end;

procedure THodiny.ukazCas;
begin
  //metoda vype dialogov okno s aktulnm asem
  ShowMessage('Je prv '+ IntToStr(hodiny) + ' : ' +
                           IntToStr(minuty) + ' : ' +
                           IntToStr(sekundy));
end;

constructor THodiny.Init(hh, mm, ss: byte);
begin
  hodiny := hh;
  minuty := mm;
  sekundy := ss;
end;

{ TBudik }

constructor TBudik.Init(hh, mm, ss: byte; zvoneni: boolean);
begin
  inherited Init(hh, mm, ss); //vol se konstruktor tdy pedka
  self.zvoneni:=zvoneni; //inicializace novch objekt
end;


procedure TBudik.nastavZvoneni(zvoneni: boolean);
begin
  self.zvoneni := zvoneni;
end;

procedure TBudik.ukazCas;
var s: string;
begin
  //metoda se v nov td zmnila.
  if zvoneni then s:= 'Budk je nataen'
  else s:='Budik neni nataen';

  s:= s + ' a prv ukazuje '+
            IntToStr(hodiny) + ' : ' +
            IntToStr(minuty) + ' : ' +
            IntToStr(sekundy);

  ShowMessage(s);
end;

end.
