unit HlavMenu_f;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, StdCtrls, ExtCtrls;

type
  TFormular = class(TForm)
    MainMenu1: TMainMenu;
    Tlatka1: TMenuItem;
    prvniTl: TMenuItem;
    Druhetl: TMenuItem;
    Polka1: TMenuItem;
    PrvniPOl: TMenuItem;
    Druhepol: TMenuItem;
    tretipol: TMenuItem;
    pravy1: TMenuItem;
    Vloz: TMenuItem;
    Znacka: TMenuItem;
    Text1: TMenuItem;
    Obrazek: TMenuItem;
    Malou1: TMenuItem;
    Velkou1: TMenuItem;
    esky1: TMenuItem;
    Anglicky1: TMenuItem;
    Barevn1: TMenuItem;
    cernobily: TMenuItem;
    HloupaPolozka: TMenuItem;
    Spustit1: TMenuItem;
    Titulek1: TMenuItem;
    Tucny1: TMenuItem;
    cerveny: TMenuItem;
    Napoveda: TMenuItem;
    About1: TMenuItem;
    ukazat: TMenuItem;
    ZTlac: TMenuItem;
    Zpol: TMenuItem;
    ZTit: TMenuItem;
    Schovattlac: TMenuItem;
    SchovatPol: TMenuItem;
    tlacitka: TRadioGroup;
    policka: TGroupBox;
    policko1: TCheckBox;
    policko2: TCheckBox;
    policko3: TCheckBox;
    Label1: TLabel;
    SchovatTit: TMenuItem;
    procedure HloupaPolozkaClick(Sender: TObject);
    procedure Spustit1Click(Sender: TObject);
    procedure Malou1Click(Sender: TObject);
    procedure About1Click(Sender: TObject);
    procedure Tucny1Click(Sender: TObject);
    procedure cervenyClick(Sender: TObject);
    procedure SchovatTitClick(Sender: TObject);
    procedure ZTitClick(Sender: TObject);
    procedure SchovatPolClick(Sender: TObject);
    procedure ZpolClick(Sender: TObject);
    procedure PrvniPOlClick(Sender: TObject);
    procedure DruhepolClick(Sender: TObject);
    procedure tretipolClick(Sender: TObject);
    procedure policko1Click(Sender: TObject);
    procedure policko2Click(Sender: TObject);
    procedure policko3Click(Sender: TObject);
    procedure SchovattlacClick(Sender: TObject);
    procedure ZTlacClick(Sender: TObject);
    procedure prvniTlClick(Sender: TObject);
    procedure DruhetlClick(Sender: TObject);
    procedure tlacitkaClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Formular: TFormular;

implementation

{$R *.DFM}
uses About_f;

procedure TFormular.HloupaPolozkaClick(Sender: TObject);
begin
  ShowMessage('Ale riskujete, e uivatel zane za chvli zuit.');
end;

procedure TFormular.Spustit1Click(Sender: TObject);
begin
  ShowMessage('Tak takhle ne! Tento pkaz by ml bt a ve vnoen nabdce');
end;

procedure TFormular.Malou1Click(Sender: TObject);
begin
 ShowMessage('Zkuste tento pklad zadat desetkrt a uvidte co to s vmi udl.');
end;

procedure TFormular.About1Click(Sender: TObject);
begin
  FormularAbout.Showmodal;
end;

procedure TFormular.Tucny1Click(Sender: TObject);
begin
  if tucny1.Caption='&Tun' then
    begin
      LAbel1.Font.Style:=[fsBold];
      tucny1.Caption:='&Normln';
    end
  else
    begin
      LAbel1.Font.Style:=[];
      tucny1.Caption:='&Tun';
    end;
end;

procedure TFormular.cervenyClick(Sender: TObject);
begin
  if cerveny.Caption='&erven' then
    begin
      LAbel1.Font.Color:=clRed;
      cerveny.Caption:='&ern';
    end
  else
    begin
      LAbel1.Font.Color:=clBlack;
      cerveny.Caption:='&erven';
    end;
end;

procedure TFormular.SchovatTitClick(Sender: TObject);
begin
  Label1.Visible:=False; //schovat text
  Titulek1.Enabled:=false; //znepristupni se tato polozka v menu
  ZTit.Enabled:=True; //povolit polozku v menu zobrazit.
end;

procedure TFormular.ZTitClick(Sender: TObject);
begin
  Label1.Visible:=True; //ukazat text
  Titulek1.Enabled:=True; //povoli se tato polozka v menu
  ZTit.Enabled:=False; //zakazat polozku v menu zobrazit.
end;

procedure TFormular.SchovatPolClick(Sender: TObject);
begin
  Policka.Visible:=False; //schovat text
  SchovatPol.Enabled:=false; //znepristupni se tato polozka v menu
  ZPol.Enabled:=true; //povolit polozku v menu zobrazit.
end;

procedure TFormular.ZpolClick(Sender: TObject);
begin
  Policka.Visible:=True;; //schovat text
  SchovatPol.Enabled:=True; //znepristupni se tato polozka v menu
  ZPol.Enabled:=False; //povolit polozku v menu zobrazit.
end;

procedure TFormular.PrvniPOlClick(Sender: TObject);
begin
  if not prvniPol.Checked then
    begin
      Policko1.State:=cbChecked; //zaskrtne se prvni policko
      PrvniPol.Checked:=True; //Nastaveni znacky v menu
    end
  else
    begin
      Policko1.State:=cbUnChecked; //odskrtne se prvni policko
      PrvniPol.Checked:=False; //Nastaveni znacky v menu
    end
end;

procedure TFormular.DruhepolClick(Sender: TObject);
begin
  if not druhePol.Checked then
    begin
      Policko2.State:=cbChecked; //zaskrtne se druhe policko
      DruhePol.Checked:=True; //Nastaveni znacky v menu
    end
  else
    begin
      Policko2.State:=cbUnChecked; //odskrtne se druhe policko
      druhePol.Checked:=False; //Nastaveni znacky v menu
    end
end;

procedure TFormular.tretipolClick(Sender: TObject);
begin
  if not tretiPol.Checked then
    begin
      Policko3.State:=cbChecked; //yaskrtne se treti policko
      tretiPol.Checked:=True; //Nastaveni znacky v menu
    end
  else
    begin
      Policko3.State:=cbUnChecked; //odskrtne se treti policko
      tretiPol.Checked:=False; //Nastaveni znacky v menu
    end

end;

procedure TFormular.policko1Click(Sender: TObject);
begin
  if Policko1.State=cbUnChecked then
    PrvniPol.Checked:=false    //nastaven znaky v Menu
  else
    PrvniPol.Checked:=true;
end;

procedure TFormular.policko2Click(Sender: TObject);
begin
  if Policko2.State=cbUnChecked then
    druhePol.Checked:=false    //nastaven znaky v Menu
  else
    druhePol.Checked:=true;
end;

procedure TFormular.policko3Click(Sender: TObject);
begin
 if Policko3.State=cbUnChecked then
    tretiPol.Checked:=false    //nastaven znaky v Menu
  else
    tretiPol.Checked:=true;
end;

procedure TFormular.SchovattlacClick(Sender: TObject);
begin
  tlacitka.Visible:=false;   //skryt tlacitka
  SchovatTlac.Enabled:=false; //zakazat tuto volbu opakovat
  ZTlac.Enabled:=true; //povolit zobrazeni tlacitek
end;

procedure TFormular.ZTlacClick(Sender: TObject);
begin
  tlacitka.Visible:=True;   //Zobrazit  tlacitka
  SchovatTlac.Enabled:=true; //povolit skryti
  ZTlac.Enabled:=false //zakazat zobrazeni tlacitek
end;

procedure TFormular.prvniTlClick(Sender: TObject);
begin
  prvniTl.Checked:=true;  //nastaven znaky v menu
  tlacitka.ItemIndex:=0;  //vbr tlatka
end;

procedure TFormular.DruhetlClick(Sender: TObject);
begin
  DruheTl.Checked:=true;    //nastaven znaky v menu
  tlacitka.ItemIndex:=1;  //vbr tlatka
end;

procedure TFormular.tlacitkaClick(Sender: TObject);
begin
  if Tlacitka.ItemIndex=0 then
    prvniTl.Checked:=true
  else
    druheTl.checked:=true;
end;

end.
