unit mistniMenu_f;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, StdCtrls, ExtCtrls;

type
  TFormular = class(TForm)
    tlacitka: TRadioGroup;
    policka: TGroupBox;
    policko1: TCheckBox;
    policko2: TCheckBox;
    policko3: TCheckBox;
    Label1: TLabel;
    Menuformulare: TPopupMenu;
    Zobrazit1: TMenuItem;
    About1: TMenuItem;
    Tlacitka1: TMenuItem;
    Policka1: TMenuItem;
    Titulek1: TMenuItem;
    MenuTitulku: TPopupMenu;
    Tucne: TMenuItem;
    barva: TMenuItem;
    Skrt1: TMenuItem;
    MenuTlacitek: TPopupMenu;
    PrvniTl: TMenuItem;
    DruheTl: TMenuItem;
    Skryt1: TMenuItem;
    MenuPolicek: TPopupMenu;
    PrvniPol: TMenuItem;
    DruhePol: TMenuItem;
    TretiPol: TMenuItem;
    SkrytPol: TMenuItem;
    procedure About1Click(Sender: TObject);
    procedure Tlacitka1Click(Sender: TObject);
    procedure Policka1Click(Sender: TObject);
    procedure Titulek1Click(Sender: TObject);
    procedure TucneClick(Sender: TObject);
    procedure barvaClick(Sender: TObject);
    procedure Skrt1Click(Sender: TObject);
    procedure PrvniTlClick(Sender: TObject);
    procedure DruheTlClick(Sender: TObject);
    procedure Skryt1Click(Sender: TObject);
    procedure PrvniPolClick(Sender: TObject);
    procedure DruhePolClick(Sender: TObject);
    procedure TretiPolClick(Sender: TObject);
    procedure SkrytPolClick(Sender: TObject);
    procedure MenuformularePopup(Sender: TObject);
    procedure MenuTitulkuPopup(Sender: TObject);
    procedure MenuTlacitekPopup(Sender: TObject);
    procedure MenuPolicekPopup(Sender: TObject);
   private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Formular: TFormular;

implementation

{$R *.DFM}
uses About_f;


procedure TFormular.About1Click(Sender: TObject);
begin
  FormularAbout.Showmodal;
end;

procedure TFormular.Tlacitka1Click(Sender: TObject);
begin
  tlacitka.Visible:=true; //zviditelnn Tlatek
end;

procedure TFormular.Policka1Click(Sender: TObject);
begin
  Policka.Visible:=True;  //zviditelnn Polek
end;

procedure TFormular.Titulek1Click(Sender: TObject);
begin
  Label1.Visible:=True; //zviditelnn Titulku
end;

procedure TFormular.TucneClick(Sender: TObject);
begin
  if LAbel1.Font.Style<>[fsBold] then //Nastaven sprvnho stylu Titulku
    LAbel1.Font.Style:=[fsBold]
  else
    LAbel1.Font.Style:=[];
end;

procedure TFormular.barvaClick(Sender: TObject);
begin
  if LAbel1.Font.color<>clRed then  //nastaven sprvn barvy titulku
    LAbel1.Font.Color:=clRed
  else
    LAbel1.Font.Color:=clBlack;
end;

procedure TFormular.Skrt1Click(Sender: TObject);
begin
  Label1.Visible:=False; //zneviditelnn Titulku
end;

procedure TFormular.PrvniTlClick(Sender: TObject);
begin
  tlacitka.ItemIndex:=0;  //vbr tlatka
end;

procedure TFormular.DruheTlClick(Sender: TObject);
begin
  tlacitka.ItemIndex:=1;  //vbr tlatka
end;

procedure TFormular.Skryt1Click(Sender: TObject);
begin
  tlacitka.Visible:=False; //zneviditelnn tlatek
end;

procedure TFormular.PrvniPolClick(Sender: TObject);
begin
   if not prvniPol.Checked then
      Policko1.State:=cbChecked //zaskrtne se prvni policko
  else
      Policko1.State:=cbUnChecked; //odskrtne se prvni policko
end;

procedure TFormular.DruhePolClick(Sender: TObject);
begin
   if not DruhePol.Checked then
      Policko2.State:=cbChecked //zaskrtne se druhe policko
  else
      Policko2.State:=cbUnChecked; //odskrtne se druhe policko
end;

procedure TFormular.TretiPolClick(Sender: TObject);
begin
   if not TretiPol.Checked then
      Policko3.State:=cbChecked //zaskrtne se treti policko
  else
      Policko3.State:=cbUnChecked; //odskrtne se ctvrte policko
end;

procedure TFormular.SkrytPolClick(Sender: TObject);
begin
  policka.Visible:=false;  //zneviditelnn polek
end;

procedure TFormular.MenuformularePopup(Sender: TObject);
begin
  Tlacitka1.Enabled:=not Tlacitka.Visible;   //pokud je komponenta vidt,
  Policka1.Enabled:=not Policka.Visible;     //zake se pouit nabdky
  Titulek1.Enabled:=not Label1.Visible;
end;

procedure TFormular.MenuTitulkuPopup(Sender: TObject);
begin
//Nastaven sprvnho textu v menu
  if Label1.Font.Style=[fsBold] then Tucne.Caption:='Normln'
  else Tucne.Caption:='Tun';

  if Label1.Font.color=clRed then barva.Caption:='ern'
  else barva.Caption:='erven'

end;

procedure TFormular.MenuTlacitekPopup(Sender: TObject);
begin
  //nastaven znaky v menu podle vybranho tlatka
  MenuTlacitek.Items[tlacitka.ItemIndex].Checked:=true;
  //nezapomete, e mus bt nastaveny vlastnosti RadioItem a IndexGroup.
end;

procedure TFormular.MenuPolicekPopup(Sender: TObject);
begin
  //nastaven znaek v menu, podle toho, kter polka jsou zakrtl.
  PrvniPol.Checked:=Policko1.Checked;
  DruhePol.Checked:=Policko2.Checked;
  TretiPol.Checked:=Policko3.Checked;
end;

end.
