unit Cekani_f;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Spin;

type
  TFaktThread = class(TThread)
       procedure Execute;override;
     end;
  TMocThread = class(TThread)
      procedure Execute; override;
      procedure Vysledek;
     end;

  TFormular = class(TForm)
    Label1: TLabel;
    vysledek: TLabel;
    Label3: TLabel;
    SpinEdit1: TSpinEdit;
    start: TButton;
    procedure startClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Formular: TFormular;
  faktorial:TfaktThread;  //vlkno na vpoet faktorilu
  Mocnina:TMocThread;   //vlkno na vpoet mocniny
  N:Cardinal;

implementation

{$R *.DFM}

procedure TFaktThread.Execute;
var fakt:cardinal; //faktoril
    i:integer;
begin
  fakt:=1;
  for i:=N downto 1 do  //vpoet faktorilu
    fakt:=fakt * cardinal(i);

  N:=fakt; //zapsn vsledku do N
end; //of TFaktThread.execute

procedure TMocThread.Execute;
begin
  Faktorial:= TFaktThread.Create(False); //sputn vlkna na vpoet faktorilu
  faktorial.WaitFor; //vlkno mocnina ek, dokud se nedokon vlkno Faktoril
  N:=N*N; //hodnota v N se umocn na druhou
  synchronize(Vysledek);
  Faktorial.Free; //uvoln se vlkno na vpoet faktorilu
end; //of TFaktThread.execute

procedure TMocThread.Vysledek;
begin
  formular.vysledek.Caption:=IntToStr(N); //vsledek se vype na formul
end; //of TMocThread.Vysledek;


procedure TFormular.startClick(Sender: TObject);
begin
  start.Enabled:=false;
  N:=SpinEdit1.Value;
  Mocnina:=TMocThread.Create(false); //spust se vlkno na vpoet mocniny
  mocnina.Free; //uvoln se vlkno na vpoet mocniny
  start.Enabled:=true;
end;

end.
