unit vlakna_f;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TTextThread=class(TThread)
      procedure execute; override;
      procedure ObnovText;
    end;

  TForm1 = class(TForm)
    Label1: TLabel;
    start: TButton;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure startClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  text:String;
  vlakno:TTextThread;

  implementation

{$R *.DFM}

procedure TTextThread.execute; //hlavn metoda vlkna
var s:string;
    i:integer;
begin
  text:='Tento text b v samostatnm vlkn...     ';
  repeat
    s:=text;
    for i:=1 to 10000 do  //zpomalovac smyka
      Text:=copy(s,1,1);
    delete(s,1,1);
    text:=s+Text;
    synchronize(ObnovText);   //synchronizovan pstup k VCL
  until terminated;     //metoda skon kdy bude vlkno perueno
                        //metodou Suspend nebo zruenm vlkna
end;

procedure TTextThread.ObnovText;
begin
  Form1.Label1.Caption:=text;
end;



procedure TForm1.FormCreate(Sender: TObject);
begin
  vlakno:=TTextThread.Create(False);
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  Vlakno.free;
end;

procedure TForm1.startClick(Sender: TObject);
begin
  if not vlakno.suspended then //pokud b vlkno
    begin
      vlakno.Suspend;    //zastavit
      Start.Caption:='Start'
    end
  else
    begin
      vlakno.Resume; //jinak znovu spustit
      start.Caption:='Stop';
    end;
end;

end.
